@charset "utf-8";


body {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', 'Arial', 'sans-serif';
  color: #676767;
  background-color: hsl(228, 65%, 95%);
  font-weight: normal;
}

a, button {
  color: hsla(0, 50%, 40%, 1);
  border: none;
} 

/* #main-menu a {
  text-decoration:none;
}
 */
/* #main-menu a
, body[data-search="Active"] #reset-button
, body[data-ordering="alpha"] #OrderByCat
, body[data-ordering="cat"] #OrderAlpha
, .song-details .recording dd a 
, .song-details .sheetmusic dd a
, audio
, audio::-webkit-media-controls-play-button {
  border-radius: 0.5rem;
  border-top: none; 
  border-right: solid 0.3rem hsla(0, 50%, 40%, 0.25);
  border-bottom: none;
  border-left: solid 0.3rem hsla(0, 50%, 40%, 0.25);
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2); 
  background-color:white;
}  */


/* audio, audio::-webkit-media-controls-panel { 
  background-color: hsla(0, 50%, 100%, 1);
}
 */

/* .button {
  flex-grow:0;
  text-decoration: none;
}
 */





/* FLEX */
#vignette {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;  
}


#vignette .menu {
  display: flex;
  flex-direction: row; 
  flex-wrap: wrap;
  justify-content: center; 
  align-self: stretch;  
  flex-grow: 0;
}


/* ITEM SPECIFIC LAYOUT */

#vignette {
  margin: 0 auto;
  padding: 0;
  max-width: 760px;
  min-height: 100vh;
  background-color: white;
}

#copyright-notice {
  background: hsla( 0deg, 0%, 100%, 40%);
  color: white;
  width: 100%;
  text-align: center;

}

/* BG */
 #vignette {
  /* background: url("media/yellow-brick.png") ; */


  background-color: hsl(226deg, 44%, 17%);
  background-image: url("media/psalmer-i-tiden--justcopy--lower.jpg");
  /* background: 
    radial-gradient(circle at bottom center,
    rgba(255, 255, 255, 0.5) 27%, 
    rgba(60, 147, 205, 0.8) 60%, 
    rgba(0, 28, 97, 1.0) 95%),
    url("media/psalmer-i-tiden--justcopy--lower.jpg")
    ; */
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: bottom;

 } 

#vignette {
  font-size: 1rem;
}

/* Tablet / Small Laptops (40rem / 640px) */
/* @media (min-width: 900px) {
  #vignette {
  background: 
    radial-gradient(circle at bottom center,
    rgba(255, 255, 255, 0.5) 27%, 
    rgba(60, 147, 205, 0.8) 60%, 
    rgba(0, 28, 97, 1.0) 90%),
    url("media/psalmer-i-tiden--justcopy.jpg") 50%
    ;
  background-size: cover;
  }
  #vignette .title {
        line-height: 100%; 
  }
}
 */
/* ------ MAIN-MENU ------ */
#vignette .menu {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', 'Arial', 'sans-serif'; 
  background-color: hsla(0, 33%, 40%, 0);
  
}
#vignette .nice-button {
  margin: 1.2rem;
  padding: 0.5rem 0.8rem;

  text-align: center;
  border-radius: 0.5rem;
}




@media (max-width: 40rem) {
  /* ... */
  
  #vignette {
  }
  #vignette .title { 
    line-height: 116%; 
    font-size: 12vw; 
  } 

  #vignette .title-subtitle {
    font-size: 6vw; 
    padding: 1rem;
  }

  #copyright-notice {
    font-size: small;
  }

}

/* Desktop / Large Screens (60rem+ / 960px+) */
@media (min-width: 40rem) { 
  #vignette .title {  
    font-size: 5rem; 
  } 
  #vignette .title-subtitle {
    font-size: 1.5rem ; 
 }
}

#vignette .title-container {
  display: flex;  
  flex-direction: column;
  align-items: center;  
  justify-content: center; 
  flex-grow:1.5;
  gap: 1rem;
  color: white; 
  text-shadow: 2px 4px 5px #000;
}


#vignette .title {  
  width: 100%;
  text-align: center;

  opacity: 90%;   
} 

 #vignette .title-subtitle {
  text-align: center;
  font-style: italic;
 }

 
.signature {
  text-align: right;
  color: hsla(0, 50%, 40%, 1);
  padding: 1rem 4rem;
}





.ingress {
  font-style: italic;
  padding: 0.2rem calc(100vw/30) 0 1rem;
  border-left: solid 0.5rem hsla(0, 50%, 40%, 0.16);
}



/* ------ MAIN ------ */
#main {

  margin: auto;
  padding: 0;/* calc(100vw/20); */
  padding-bottom: 2rem;
  max-width: 760px;

}

.section {
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', 'Arial', 'sans-serif';
  background-color: white;/*  hsl(228, 31%, 90%); */
  box-shadow: 0px 0px 15px hsla(0, 0%, 0%, .27);
  padding: 2rem 0 3rem 0; 
  margin: 4rem 0 4rem 0;
}

p, ul, ol, h3, .search-container, .song  {
  margin: 0.5rem calc(100vw/20) 0.7rem calc(100vw/20);
}
.cat .song {
  margin-left: 0.9rem; 
}

#main h2 {
  background-color: hsla( 0, 0%, 100% );  
  margin: 0.8em 0 0.8em 0;
  padding: 0.4em 0.4em 0.6em 0.8em;

  text-align: center;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', 'Arial', 'sans-serif';

  font-size: 1.8rem;
  font-weight: normal;
  font-style: italic;
  color: hsla(0, 50%, 40%, 1);

}

.psalm {
background-color: hsl(44deg 100% 97%);
 padding: 0;
 margin:0 0 3rem 0;
}

h3 {
  margin: 1rem 0rem 0.3rem 0;
  padding: 0.5rem 1.2rem;
  font-size: 1.2em;
  font-weight: lighter;
  color: #833;
  background-color: hsl(44deg 100% 86%);
}



.psalm .song-materials {
  background-color: hsl(44deg 100% 86%);

  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
/*   align-items: center;  
 */  justify-content: center;
  gap: 0rem;

}

.psalm .song-materials-title {
  font-size: smaller;
  text-align: center;
  background-color: hsl(22deg, 50%, 80%);/* hsla(0, 50%, 40%, 0.25); */
}

.nice-button {
  display: inline-flex;
  flex-direction: row;
  align-items: center;;
  background-color: hsla(0, 0%, 100%, 0.8);
  margin: 0.6rem;
  padding: 0.3rem 0.8rem;
  text-align: center;
  text-decoration: none;
  border-radius: 1rem;
  border-radius: 0.5rem;
  border-top: none; 
  border-right: solid 0.3rem hsla(0, 50%, 40%, 0.25);
  border-bottom: none;
  border-left: solid 0.3rem hsla(0, 50%, 40%, 0.25);
  box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2); 

}

.nice-button:hover {
  border-color: hsla(0, 100%, 50%, .5) !important; 
  background-color: white !important;
}

.icon{ 
  height: 1.7rem;
  width: auto;
}



div.audioplayer {
/*   background-color: hsla(216, 73%, 30%, 0.24);
 */  
 padding: 0.5rem;
  border-top-left-radius: 0.5rem;
  position: fixed;
  bottom: 0;
  right: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap; 
  justify-content: space-around;
  align-items: center;
}

div.audioplayer .audio-placeholder {
  margin: 0;
}

audio

@media (max-width: 40rem) {
    div.audioplayer {
      width: 100%;
      border-radius: 0;
    }
}



/* REFLECT STATE */

/* playing = false | true */



body[data-playing='false'] .audioplayer {
  display: none;
}
